Subject: [Autoconf] I-D ACTION:draft-ietf-autoconf-manetarch-00.txt

From: [email-masked]
Date: Thu, 15 Feb 2007 18:50:02 -0500

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Ad-Hoc Network Autoconfiguration Working Group of the IETF.

	Title		: Mobile Ad hoc Network Architecture
	Author(s)	: I. Chakeres, et al.
	Filename	: draft-ietf-autoconf-manetarch-00.txt
	Pages		: 20
	Date		: 2007-2-15

   This document discusses Mobile Ad hoc NETworks (MANETs).  It
   introduces basic MANET terms, characteristics, and challenges.  This
   document also defines several MANET entities and architectural
   concepts.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-autoconf-manetarch-00.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-autoconf-manetarch-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-autoconf-manetarch-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: "Ian Chakeres" <[email-masked]>
Date: Thu, 22 Feb 2007 07:05:35 -0800

I'd like to ask everyone to review the new and improved MANET
Architecture document. It now contains a section about addressing that
summarizes what Thomas presented in San Diego.

Please send me any comments.
Ian Chakeres

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 26 Feb 2007 17:07:34 -0800

Two preliminary comments on this document:

1) Under Section 2.1 (Borrowed Terminolgy), the terms
"{Broadcast,Full-Broadcast,Semi-Broadcast} Interface" are
really talking about properties of a *link* (and not an
interface). An interface is just "a node's attachment to
a link" (per RFC2460, RFC2461 and probably others). My
input is to keep the definitions but rephrase them in
terms of links instead of interfaces. Then, you can add
a definition for "MANET interface" such as:

  MANET interface
    a MANET node's attachment to a semi-broadcast link.

2) The definition for "MANET" doesn't go into the level
of detail that IMHO should be present in an architecture
document like this. Here is my proposal:

  MANET
    a connected network region that comprises MANET routers
    that maintain a routing structure among themselves in a
    relatively arbitrary fashion over semi-broadcast links.
    MANETs may be as large as an Autonomous System or as
    small as an individual site, and may also be a subnetwork
    of a larger MANET.  A MANET router (and its downstream-
    attached links) is a "site" unto itself, and a MANET is
    therefore a "site-of-sites".  Further information on the
    characteristics of MANETs can be found in [RFC2501].

Fred
[email-masked]

> -----Original Message-----
> From: Ian Chakeres [mailto:[email-masked]] 
> Sent: Thursday, February 22, 2007 7:06 AM
> To: [email-masked]
> Cc: Thomas Heide Clausen (work)
> Subject: Re: [Autoconf] I-D 
> ACTION:draft-ietf-autoconf-manetarch-00.txt
> 
> > This draft is a work item of the Ad-Hoc Network 
> Autoconfiguration Working Group of the IETF.
> >
> > You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce
> >         "FILE 
> /internet-drafts/draft-ietf-autoconf-manetarch-00.txt".
> >